Index: trunk/src/3rdparty/qttoolbardialog-2.2_1-opensource/configure.bat
===================================================================
--- trunk/src/3rdparty/qttoolbardialog-2.2_1-opensource/configure.bat	(revision 117)
+++ trunk/src/3rdparty/qttoolbardialog-2.2_1-opensource/configure.bat	(revision 117)
@@ -0,0 +1,134 @@
+@echo off
+
+rem
+rem "Main"
+rem
+
+if not "%1"=="" (
+    if not "%1"=="-library" (
+        call :PrintUsage
+        goto EOF
+    )
+)
+
+rem only ask to accept the license text once
+if exist .licenseAccepted goto HandleArgs
+
+rem determine if free or commercial package
+set edition=commercial
+if exist LICENSE.LGPL. set edition=free
+
+if %edition%==free (
+    call :HandleFree
+) else (
+    call :RegionLoop
+    call :Comm
+)
+echo .
+
+if not exist .licenseAccepted (
+    echo You are not licensed to use this software.
+    goto EOF
+)
+
+:HandleArgs
+if exist config.pri. del config.pri
+if "%1"=="-library" (
+    echo Configuring to build this component as a dynamic library.
+    echo SOLUTIONS_LIBRARY = yes > config.pri
+)
+
+echo .
+echo This component is now configured.
+echo .
+echo To build the component library (if requested) and example(s),
+echo run qmake and your make or nmake command.
+echo .
+echo To remove or reconfigure, run make (nmake) distclean.
+echo .
+
+goto EOF
+
+rem
+rem "License acceptance loops"
+rem
+
+:RegionLoop
+    echo .
+    echo Please choose your region.
+    echo .
+    echo Type 1 for North or South America.
+    echo Type 2 for anywhere outside North and South America.
+    echo .
+    set /p region=Select: 
+    if %region%==1 (
+	set licenseFile=LICENSE.US
+	goto EOF
+    )
+    if %region%==2 (
+	set licenseFile=LICENSE.NO
+	goto EOF
+    )
+goto RegionLoop
+
+:HandleFree
+    echo .
+    echo You are licensed to use this software under the terms of
+    echo the GNU General Public License (GPL) version 3, or
+    echo the GNU Lesser General Public License (LGPL) version 2.1
+    echo with certain additional extra rights as specified in the
+    echo Nokia Qt LGPL Exception version 1.1.
+    echo .
+    echo Type 'G' to view the GNU General Public License (GPL) version 3
+    echo Type 'L' to view the GNU Lesser General Public License (LGPL) version 2.1
+    echo Type 'E' to view the Nokia Qt LGPL Exception version 1.1.
+    echo Type 'yes' to accept this license offer.
+    echo Type 'no' to decline this license offer.
+    echo .
+    set /p answer=Do you accept the terms of this license? 
+
+    if %answer%==no goto EOF
+    if %answer%==yes (
+	 echo license accepted > .licenseAccepted
+	 goto EOF
+    )
+    if %answer%==g more LICENSE.GPL3
+    if %answer%==G more LICENSE.GPL3
+    if %answer%==l more LICENSE.LGPL
+    if %answer%==L more LICENSE.LGPL
+    if %answer%==e more LGPL_EXCEPTION.txt
+    if %answer%==E more LGPL_EXCEPTION.txt
+goto HandleFree
+
+:Comm
+    echo .
+    echo License Agreement
+    echo .
+    echo Type '?' to view the Qt Solutions Commercial License.
+    echo Type 'yes' to accept this license offer.
+    echo Type 'no' to decline this license offer.
+    echo .
+    set /p answer=Do you accept the terms of this license? 
+
+    if %answer%==no goto EOF
+    if %answer%==yes (
+	 echo license accepted > .licenseAccepted
+	 copy %licenseFile% LICENSE
+	 del LICENSE.US
+	 del LICENSE.NO
+	 goto EOF
+    )
+    if %answer%==? more %licenseFile%
+goto Comm
+
+:PrintUsage
+echo Usage: configure.bat [-library]
+echo .
+echo -library: Build the component as a dynamic library (DLL). Default is to
+echo           include the component source directly in the application.
+echo           A DLL may be preferable for technical or licensing (LGPL) reasons.
+echo .
+goto EOF
+
+
+:EOF
Index: trunk/src/3rdparty/qttoolbardialog-2.2_1-opensource/doc/html/qttoolbardialog.dcf
===================================================================
--- trunk/src/3rdparty/qttoolbardialog-2.2_1-opensource/doc/html/qttoolbardialog.dcf	(revision 117)
+++ trunk/src/3rdparty/qttoolbardialog-2.2_1-opensource/doc/html/qttoolbardialog.dcf	(revision 117)
@@ -0,0 +1,29 @@
+<!DOCTYPE DCF>
+<DCF ref="index.html" icon="qttoolbardialog.png" imagedir="../../gif" title="Qt Solutions: Toolbar Dialog Documentation">
+<section ref="classes.html" title="Classes">
+    <section ref="qttoolbardialog.html" title="QtToolBarDialog Class Reference">
+        <keyword ref="qttoolbardialog.html">QtToolBarDialog</keyword>
+        <keyword ref="qttoolbardialog.html#setToolBarManager">setToolBarManager</keyword>
+        <section ref="qttoolbardialog-members.html" title="List of all members"/>
+    </section>
+    <section ref="qttoolbarmanager.html" title="QtToolBarManager Class Reference">
+        <keyword ref="qttoolbarmanager.html">QtToolBarManager</keyword>
+        <keyword ref="qttoolbarmanager.html#addAction">addAction</keyword>
+        <keyword ref="qttoolbarmanager.html#addToolBar">addToolBar</keyword>
+        <keyword ref="qttoolbarmanager.html#mainWindow">mainWindow</keyword>
+        <keyword ref="qttoolbarmanager.html#removeAction">removeAction</keyword>
+        <keyword ref="qttoolbarmanager.html#removeToolBar">removeToolBar</keyword>
+        <keyword ref="qttoolbarmanager.html#restoreState">restoreState</keyword>
+        <keyword ref="qttoolbarmanager.html#saveState">saveState</keyword>
+        <keyword ref="qttoolbarmanager.html#setMainWindow">setMainWindow</keyword>
+        <keyword ref="qttoolbarmanager.html#toolBars">toolBars</keyword>
+        <section ref="qttoolbarmanager-members.html" title="List of all members"/>
+    </section>
+</section>
+<section ref="overviews.html" title="Overviews">
+    <section ref="index.html" title="Toolbar Dialog">
+        <keyword ref="index.html">Toolbar Dialog</keyword>
+    </section>
+</section>
+<section ref="examples.html" title="Tutorial &amp; Examples"/>
+</DCF>
Index: trunk/src/3rdparty/qttoolbardialog-2.2_1-opensource/doc/html/qttoolbardialog.index
===================================================================
--- trunk/src/3rdparty/qttoolbardialog-2.2_1-opensource/doc/html/qttoolbardialog.index	(revision 117)
+++ trunk/src/3rdparty/qttoolbardialog-2.2_1-opensource/doc/html/qttoolbardialog.index	(revision 117)
@@ -0,0 +1,54 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE QDOCINDEX>
+<INDEX url="" title="Qt Solutions: Toolbar Dialog Documentation" version="">
+    <namespace access="public" threadsafety="unspecified" status="commendable" name="" href="" location="" module="">
+        <class access="public" threadsafety="unspecified" status="commendable" name="QtToolBarManager" href="qttoolbarmanager.html" location="qttoolbardialog.h" bases="QObject" module="">
+            <function access="public" threadsafety="unspecified" status="commendable" name="QtToolBarManager" fullname="QtToolBarManager::QtToolBarManager" href="qttoolbarmanager.html#QtToolBarManager" location="qttoolbardialog.h" virtual="non" meta="constructor" const="false" static="false" overload="false" type="" signature="QtToolBarManager(QObject * parent)">
+                <parameter left="QObject *" right="" name="parent" default="0"/>
+            </function>
+            <function access="public" threadsafety="unspecified" status="commendable" name="~QtToolBarManager" fullname="QtToolBarManager::~QtToolBarManager" href="qttoolbarmanager.html#dtor.QtToolBarManager" location="qttoolbardialog.h" virtual="non" meta="destructor" const="false" static="false" overload="false" type="" signature="~QtToolBarManager()"/>
+            <function access="public" threadsafety="unspecified" status="commendable" name="setMainWindow" fullname="QtToolBarManager::setMainWindow" href="qttoolbarmanager.html#setMainWindow" location="qttoolbardialog.h" virtual="non" meta="plain" const="false" static="false" overload="false" type="void" signature="setMainWindow(QMainWindow * mainWindow)">
+                <parameter left="QMainWindow *" right="" name="mainWindow" default=""/>
+            </function>
+            <function access="public" threadsafety="unspecified" status="commendable" name="mainWindow" fullname="QtToolBarManager::mainWindow" href="qttoolbarmanager.html#mainWindow" location="qttoolbardialog.h" virtual="non" meta="plain" const="true" static="false" overload="false" type="QMainWindow *" signature="mainWindow() const"/>
+            <function access="public" threadsafety="unspecified" status="commendable" name="addAction" fullname="QtToolBarManager::addAction" href="qttoolbarmanager.html#addAction" location="qttoolbardialog.h" virtual="non" meta="plain" const="false" static="false" overload="false" type="void" signature="addAction(QAction * action, const QString &amp; category)">
+                <parameter left="QAction *" right="" name="action" default=""/>
+                <parameter left="const QString &amp;" right="" name="category" default=""/>
+            </function>
+            <function access="public" threadsafety="unspecified" status="commendable" name="removeAction" fullname="QtToolBarManager::removeAction" href="qttoolbarmanager.html#removeAction" location="qttoolbardialog.h" virtual="non" meta="plain" const="false" static="false" overload="false" type="void" signature="removeAction(QAction * action)">
+                <parameter left="QAction *" right="" name="action" default=""/>
+            </function>
+            <function access="public" threadsafety="unspecified" status="commendable" name="addToolBar" fullname="QtToolBarManager::addToolBar" href="qttoolbarmanager.html#addToolBar" location="qttoolbardialog.h" virtual="non" meta="plain" const="false" static="false" overload="false" type="void" signature="addToolBar(QToolBar * toolBar, const QString &amp; category)">
+                <parameter left="QToolBar *" right="" name="toolBar" default=""/>
+                <parameter left="const QString &amp;" right="" name="category" default=""/>
+            </function>
+            <function access="public" threadsafety="unspecified" status="commendable" name="removeToolBar" fullname="QtToolBarManager::removeToolBar" href="qttoolbarmanager.html#removeToolBar" location="qttoolbardialog.h" virtual="non" meta="plain" const="false" static="false" overload="false" type="void" signature="removeToolBar(QToolBar * toolBar)">
+                <parameter left="QToolBar *" right="" name="toolBar" default=""/>
+            </function>
+            <function access="public" threadsafety="unspecified" status="commendable" name="toolBars" fullname="QtToolBarManager::toolBars" href="qttoolbarmanager.html#toolBars" location="qttoolbardialog.h" virtual="non" meta="plain" const="true" static="false" overload="false" type="QList&lt;QToolBar *&gt;" signature="toolBars() const"/>
+            <function access="public" threadsafety="unspecified" status="commendable" name="saveState" fullname="QtToolBarManager::saveState" href="qttoolbarmanager.html#saveState" location="qttoolbardialog.h" virtual="non" meta="plain" const="true" static="false" overload="false" type="QByteArray" signature="saveState(int version) const">
+                <parameter left="int" right="" name="version" default="0"/>
+            </function>
+            <function access="public" threadsafety="unspecified" status="commendable" name="restoreState" fullname="QtToolBarManager::restoreState" href="qttoolbarmanager.html#restoreState" location="qttoolbardialog.h" virtual="non" meta="plain" const="false" static="false" overload="false" type="bool" signature="restoreState(const QByteArray &amp; state, int version)">
+                <parameter left="const QByteArray &amp;" right="" name="state" default=""/>
+                <parameter left="int" right="" name="version" default="0"/>
+            </function>
+        </class>
+        <class access="public" threadsafety="unspecified" status="commendable" name="QtToolBarDialog" href="qttoolbardialog.html" location="qttoolbardialog.h" bases="QDialog" module="">
+            <function access="public" threadsafety="unspecified" status="commendable" name="QtToolBarDialog" fullname="QtToolBarDialog::QtToolBarDialog" href="qttoolbardialog.html#QtToolBarDialog" location="qttoolbardialog.h" virtual="non" meta="constructor" const="false" static="false" overload="false" type="" signature="QtToolBarDialog(QWidget * parent, Qt::WFlags flags)">
+                <parameter left="QWidget *" right="" name="parent" default="0"/>
+                <parameter left="Qt::WFlags" right="" name="flags" default="0"/>
+            </function>
+            <function access="public" threadsafety="unspecified" status="commendable" name="~QtToolBarDialog" fullname="QtToolBarDialog::~QtToolBarDialog" href="qttoolbardialog.html#dtor.QtToolBarDialog" location="qttoolbardialog.h" virtual="non" meta="destructor" const="false" static="false" overload="false" type="" signature="~QtToolBarDialog()"/>
+            <function access="public" threadsafety="unspecified" status="commendable" name="setToolBarManager" fullname="QtToolBarDialog::setToolBarManager" href="qttoolbardialog.html#setToolBarManager" location="qttoolbardialog.h" virtual="non" meta="plain" const="false" static="false" overload="false" type="void" signature="setToolBarManager(QtToolBarManager * toolBarManager)">
+                <parameter left="QtToolBarManager *" right="" name="toolBarManager" default=""/>
+            </function>
+        </class>
+        <page access="public" status="commendable" name="index.html" href="index.html" subtype="page" title="Toolbar Dialog" fulltitle="Toolbar Dialog" subtitle="" location="index.qdoc">
+            <contents name="description" title="Description" level="1"/>
+            <contents name="classes" title="Classes" level="1"/>
+            <contents name="tested-platforms" title="Tested platforms" level="1"/>
+            <contents name="screenshots" title="Screenshots" level="1"/>
+        </page>
+    </namespace>
+</INDEX>
Index: trunk/src/3rdparty/qttoolbardialog-2.2_1-opensource/doc/html/qttoolbardialog.qhp
===================================================================
--- trunk/src/3rdparty/qttoolbardialog-2.2_1-opensource/doc/html/qttoolbardialog.qhp	(revision 117)
+++ trunk/src/3rdparty/qttoolbardialog-2.2_1-opensource/doc/html/qttoolbardialog.qhp	(revision 117)
@@ -0,0 +1,46 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<QtHelpProject version="1.0">
+    <namespace>com.nokia.qtsolutions.qttoolbardialog_2.2</namespace>
+    <virtualFolder>qdoc</virtualFolder>
+    <customFilter name="Qt Solutions: Toolbar Dialog">
+        <filterAttribute>qt</filterAttribute>
+        <filterAttribute>qttoolbardialog</filterAttribute>
+        <filterAttribute>solutions</filterAttribute>
+    </customFilter>
+    <filterSection>
+        <filterAttribute>qt</filterAttribute>
+        <filterAttribute>qttoolbardialog</filterAttribute>
+        <filterAttribute>solutions</filterAttribute>
+        <toc>
+            <section ref="index.html" title="Qt Solutions: Toolbar Dialog Documentation">
+                <section ref="index.html" title="Toolbar Dialog"/>
+            </section>
+        </toc>
+        <keywords>
+            <keyword name="QtToolBarDialog" id="QtToolBarDialog" ref="qttoolbardialog.html"/>
+            <keyword name="setToolBarManager" id="QtToolBarDialog::setToolBarManager" ref="qttoolbardialog.html#setToolBarManager"/>
+            <keyword name="~QtToolBarDialog" id="QtToolBarDialog::~QtToolBarDialog" ref="qttoolbardialog.html#dtor.QtToolBarDialog"/>
+            <keyword name="QtToolBarManager" id="QtToolBarManager" ref="qttoolbarmanager.html"/>
+            <keyword name="addAction" id="QtToolBarManager::addAction" ref="qttoolbarmanager.html#addAction"/>
+            <keyword name="addToolBar" id="QtToolBarManager::addToolBar" ref="qttoolbarmanager.html#addToolBar"/>
+            <keyword name="mainWindow" id="QtToolBarManager::mainWindow" ref="qttoolbarmanager.html#mainWindow"/>
+            <keyword name="removeAction" id="QtToolBarManager::removeAction" ref="qttoolbarmanager.html#removeAction"/>
+            <keyword name="removeToolBar" id="QtToolBarManager::removeToolBar" ref="qttoolbarmanager.html#removeToolBar"/>
+            <keyword name="restoreState" id="QtToolBarManager::restoreState" ref="qttoolbarmanager.html#restoreState"/>
+            <keyword name="saveState" id="QtToolBarManager::saveState" ref="qttoolbarmanager.html#saveState"/>
+            <keyword name="setMainWindow" id="QtToolBarManager::setMainWindow" ref="qttoolbarmanager.html#setMainWindow"/>
+            <keyword name="toolBars" id="QtToolBarManager::toolBars" ref="qttoolbarmanager.html#toolBars"/>
+            <keyword name="~QtToolBarManager" id="QtToolBarManager::~QtToolBarManager" ref="qttoolbarmanager.html#dtor.QtToolBarManager"/>
+            <keyword name="Toolbar Dialog" id="Toolbar Dialog" ref="index.html"/>
+        </keywords>
+        <files>
+            <file>index.html</file>
+            <file>images/qttoolbardialog.png</file>
+            <file>qttoolbarmanager.html</file>
+            <file>qttoolbardialog.html</file>
+            <file>classic.css</file>
+            <file>images/qt-logo.png</file>
+            <file>images/qttoolbardialog.png</file>
+        </files>
+    </filterSection>
+</QtHelpProject>
Index: trunk/src/3rdparty/qttoolbardialog-2.2_1-opensource/doc/index.qdoc
===================================================================
--- trunk/src/3rdparty/qttoolbardialog-2.2_1-opensource/doc/index.qdoc	(revision 117)
+++ trunk/src/3rdparty/qttoolbardialog-2.2_1-opensource/doc/index.qdoc	(revision 117)
@@ -0,0 +1,37 @@
+/*!
+	\page index.html
+	\title Toolbar Dialog
+
+    	\section1 Description
+	
+            The Toolbar Dialog component provides customizing functionality for toolbars.
+	
+
+	
+	
+
+    	
+        \section1 Classes
+	    \list
+	 \i  QtToolBarManager \i  QtToolBarDialog\endlist
+	
+    
+
+    	
+
+    	
+    		\section1 Tested platforms
+		\list
+		\i Qt 4.4, 4.5 / Windows XP / MSVC.NET 2005
+		    \i Qt 4.4, 4.5 / Linux / gcc
+		    \i Qt 4.4, 4.5 / MacOS X 10.5 / gcc
+		    \endlist
+
+    	
+
+	
+		\section1 Screenshots
+
+    		\img qttoolbardialog.png
+		    
+	*/
Index: trunk/src/3rdparty/qttoolbardialog-2.2_1-opensource/examples/simple/main.cpp
===================================================================
--- trunk/src/3rdparty/qttoolbardialog-2.2_1-opensource/examples/simple/main.cpp	(revision 117)
+++ trunk/src/3rdparty/qttoolbardialog-2.2_1-opensource/examples/simple/main.cpp	(revision 117)
@@ -0,0 +1,59 @@
+/****************************************************************************
+** 
+** Copyright (c) 2009 Nokia Corporation and/or its subsidiary(-ies).
+** All rights reserved.
+** Contact: Nokia Corporation (qt-info@nokia.com)
+** 
+** This file is part of a Qt Solutions component.
+**
+** Commercial Usage  
+** Licensees holding valid Qt Commercial licenses may use this file in
+** accordance with the Qt Solutions Commercial License Agreement provided
+** with the Software or, alternatively, in accordance with the terms
+** contained in a written agreement between you and Nokia.
+** 
+** GNU Lesser General Public License Usage
+** Alternatively, this file may be used under the terms of the GNU Lesser
+** General Public License version 2.1 as published by the Free Software
+** Foundation and appearing in the file LICENSE.LGPL included in the
+** packaging of this file.  Please review the following information to
+** ensure the GNU Lesser General Public License version 2.1 requirements
+** will be met: http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
+** 
+** In addition, as a special exception, Nokia gives you certain
+** additional rights. These rights are described in the Nokia Qt LGPL
+** Exception version 1.1, included in the file LGPL_EXCEPTION.txt in this
+** package.
+** 
+** GNU General Public License Usage 
+** Alternatively, this file may be used under the terms of the GNU
+** General Public License version 3.0 as published by the Free Software
+** Foundation and appearing in the file LICENSE.GPL included in the
+** packaging of this file.  Please review the following information to
+** ensure the GNU General Public License version 3.0 requirements will be
+** met: http://www.gnu.org/copyleft/gpl.html.
+** 
+** Please note Third Party Software included with Qt Solutions may impose
+** additional restrictions and it is the user's responsibility to ensure
+** that they have met the licensing requirements of the GPL, LGPL, or Qt
+** Solutions Commercial license and the relevant license of the Third
+** Party Software they are using.
+** 
+** If you are unsure which license is appropriate for your use, please
+** contact Nokia at qt-info@nokia.com.
+** 
+****************************************************************************/
+
+#include <QtGui/QApplication>
+
+#include "mainwindow.h"
+
+int main(int argc, char *argv[])
+{
+    Q_INIT_RESOURCE(simple);
+
+    QApplication app(argc, argv);
+    MainWindow mainWin;
+    mainWin.show();
+    return app.exec();
+}
